part of 'index.dart';

class DocumentManagerScreen extends StatelessScreen {
  final DocumentPageModel model;

  const DocumentManagerScreen({
    super.key,
    required this.model,
  });

  @override
  Widget build(BuildContext context) {
    final SizedBox space = SizedBox(height: 30);

    return Column(
      children: [
        Expanded(
          child: RemoteSearchView<Document>(
            key: model.searchKey,
            pagingController: model._pagingController,
            headerBuilder: model.listHeaderBuilder,
            bodyBuilder: model.listBodyBuilder,
            dataProvider: model.generateDocuments,
            onFetchError: model.onFetchError,
          ),
        ),
      ] //
          .addToStart(space)
          .addToEnd(space),
    );
  }
}
